BorderUIResource.BevelBorderUIResource (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf
Class BorderUIResource.BevelBorderUIResource

    java.lang.Object
      |
      +--javax.swing.border.AbstractBorder
            |
            +--javax.swing.border.BevelBorder
                  |
                  +--javax.swing.plaf.BorderUIResource.BevelBorderUIResource

All Implemented Interfaces:
  Border, Serializable, UIResource

Enclosing class:
  BorderUIResource

public static class BorderUIResource.BevelBorderUIResource
extends BevelBorder
implements UIResource

Field Summary

Fields inherited from class javax.swing.border.BevelBorder
`bevelType, highlightInner, highlightOuter, LOWERED, RAISED, shadowInner, shadowOuter`

Constructor Summary
`BorderUIResource.BevelBorderUIResource(int bevelType)`
`BorderUIResource.BevelBorderUIResource(int bevelType, Color highlight, Color shadow)`
`BorderUIResource.BevelBorderUIResource(int bevelType, Color highlightOuter, Color highlightInner, Color shadowOuter, Color shadowInner)`

Methods inherited from class javax.swing.border.BevelBorder
`getBevelType, getBorderInsets, getBorderInsets, getHighlightInnerColor, getHighlightInnerColor, getHighlightOuterColor, getHighlightOuterColor, getShadowInnerColor, getShadowInnerColor, getShadowOuterColor, getShadowOuterColor, isBorderOpaque, paintBorder, paintLoweredBevel, paintRaisedBevel`

Methods inherited from class javax.swing.border.AbstractBorder
`getInteriorRectangle, getInteriorRectangle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BorderUIResource.BevelBorderUIResource

    public BorderUIResource.BevelBorderUIResource(int bevelType)

### BorderUIResource.BevelBorderUIResource

    public BorderUIResource.BevelBorderUIResource(int bevelType,
                                                  Color highlight,
                                                  Color shadow)

### BorderUIResource.BevelBorderUIResource

    public BorderUIResource.BevelBorderUIResource(int bevelType,
                                                  Color highlightOuter,
                                                  Color highlightInner,
                                                  Color shadowOuter,
                                                  Color shadowInner)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.